Subject: [nfsv4] New SPKM-3/LIPKEY draft-rfc for review

From: "William A.(Andy) Adamson" <[email-masked]>
Date: Tue, 21 Mar 2006 14:36:35 -0500

Hello

Olga Kornievskaia and I have completed the first stage of the new 
SPKM-3/LIPKEY rfc. We've interleaved the relevant portions of rfc2025, all of 
rfc2847, SPKM-3 mutual authentication, and added an updated appendix with the 
latest X.509 ASN1 modules. Among other changes, we've updated the algorithms 
and naming sections.

Mike Eisler has reviewd the draft, and we offer it to the NFSv4 working group 
for review. Please note the Issues section. There is still a good bit of work 
to do!

The document is too large to post:

http://www.citi.umich.edu/projects/nfsv4/rfc/draft-adamson-nfsv4-spkm3-lipkey-0
0.txt

I will contact the IETF SEC Security Area directors for direction in moving 
forward in the IETF process - namely, who will review the draft.

Thanks

-->Andy

_______________________________________________
nfsv4 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nfsv4

---

From: "William A.(Andy) Adamson" <[email-masked]>
Date: Wed, 22 Mar 2006 01:50:08 -0500

> Just a suggestion:
> Along with the new draft having a difference guide of the new draft 
> against the original one will really help the audience to understand, 
> appreciate and comment
> on the new draft.

i know it is a lot to digest. there is no origional draft - there are 
origional drafts. i suppose olga and i can do a high level view of what 
portions of rfc2025 has changed, what portions of rfc2847 have changed if that 
would be useful.

our processs is as follows.  we started with rfc2025, and removed all 
reference to SPKM-2.  then we looked at the SPKM-1 portions, and reduced them 
to what applied to SPKM-3 (which is based on SPKM-1). then, we interleaved all 
of rfc2847 'use of SPKM-3' into the appropriate places, and added LIPKEY 
unchanged.  we then interleaved SPKM-3 mutual authentication into the 
appropriate places. finally, we updated the algorithm sections, namings 
sections, and made other changes that made sense. at the end of the day, a 
diff between this doc and the other rfc's would be as onerous to review as the 
new rfc.

the .xml file that the .txt file was generated from has (mostly) per-paragraph 
origin commments - if it came from either rfc - or no comment if it is new. 
plus other useful comments. i've posted it here:

0-XML.txt

i hope it is useful.

-->Andy

> 
> Thanks
> 
> Sandeep Ramesh Patil
> IBM Network Authentication Service / DCE
> IBM Global Services India Pvt Ltd., 
> Saswad Road, Pune - 412 308, India 
> e-mail: [email-masked]
> Notes Id: Sandeep Ramesh/India/IBM 
> India Software Lab 
> 
> 
> 
> 
> "William A.(Andy) Adamson" <[email-masked]> 
> 03/22/2006 12:41 AM
> 
> To
> [email-masked]
> cc
> Sandeep Ramesh/India/IBM@IBMIN, [email-masked]
> Subject
> New SPKM-3/LIPKEY draft-rfc for review
> 
> 
> 
> 
> 
> 
> Hello
> 
> latest X.509 ASN1  modules. We've also updated the algorithm and Naming 
> sections. Mike Eisler has performed an initial review, and we would like 
> to 
> give the NFSv4 working group a chance to look over the draft and offer 
> suggestions.
> 
> Please note the Issues section.
> 
> I will ask the IETF SEC area directors for direction on how to move 
> forward in 
> the IETF process - mainly, who will review the draft.
> 
> -->Andy